# CopyFaintedAllyAbilityAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class CopyFaintedAllyAbilityAbAttr

#### Hierarchy (view full)

- PostKnockOutAbAttr
  - CopyFaintedAllyAbilityAbAttr

- Defined in src/data/ability.ts:1423

#####
Index

### Constructors

constructor

### Properties

showAbility

### Methods

addCondition
apply
applyPostKnockOut
getCondition
getTriggerMessage

## Constructors

### constructor

- new CopyFaintedAllyAbilityAbAttr(): CopyFaintedAllyAbilityAbAttr

- #### Returns CopyFaintedAllyAbilityAbAttr

  Overrides PostKnockOutAbAttr.constructor

  - Defined in src/data/ability.ts:1424

## Properties

### showAbility

showAbility: boolean

Inherited from PostKnockOutAbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostKnockOutAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PostKnockOutAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPostKnockOut

- applyPostKnockOut(pokemon, passive, knockedOut, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - knockedOut: default
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Overrides PostKnockOutAbAttr.applyPostKnockOut

  - Defined in src/data/ability.ts:1428

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PostKnockOutAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PostKnockOutAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137